Package org.drinkless.tdlib

# Class TdApi.AuthenticationCodeTypeFirebaseIos

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.AuthenticationCodeType
org.drinkless.tdlib.TdApi.AuthenticationCodeTypeFirebaseIos

Enclosing class:
  `TdApi`

public static class TdApi.AuthenticationCodeTypeFirebaseIos extends TdApi.AuthenticationCodeType
A digit-only authentication code is delivered via Firebase Authentication to the official iOS application.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.AuthenticationCodeType

  `TdApi.AuthenticationCodeType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `length`
  Length of the code.
  `int`
  `pushTimeout`
  Time after the next authentication method is expected to be used if verification push notification isn't received, in seconds.
  `String`
  `receipt`
  Receipt of successful application token validation to compare with receipt from push notification.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AuthenticationCodeTypeFirebaseIos()`
  A digit-only authentication code is delivered via Firebase Authentication to the official iOS application.
  `AuthenticationCodeTypeFirebaseIos(String receipt, int pushTimeout, int length)`
  A digit-only authentication code is delivered via Firebase Authentication to the official iOS application.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### receipt

    public String receipt
    Receipt of successful application token validation to compare with receipt from push notification.

  - ### pushTimeout

    public int pushTimeout
    Time after the next authentication method is expected to be used if verification push notification isn't received, in seconds.

  - ### length

    public int length
    Length of the code.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AuthenticationCodeTypeFirebaseIos

    public AuthenticationCodeTypeFirebaseIos()
    A digit-only authentication code is delivered via Firebase Authentication to the official iOS application.

  - ### AuthenticationCodeTypeFirebaseIos

    public AuthenticationCodeTypeFirebaseIos(String receipt, int pushTimeout, int length)
    A digit-only authentication code is delivered via Firebase Authentication to the official iOS application.
    Parameters:
      `receipt` - Receipt of successful application token validation to compare with receipt from push notification.
      `pushTimeout` - Time after the next authentication method is expected to be used if verification push notification isn't received, in seconds.
      `length` - Length of the code.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.AuthenticationCodeType`
    Returns:
      this.CONSTRUCTOR